var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Fragment, h } from '@stencil/core';
import { MapToComponentField, MapToComponentMethod, VegaSlimmer } from 'vega-slimmer/core';
import { VegaLeftNavSeparator } from '../../internal/vega-left-nav-separator';
export class VegaLeftNavFooterRenderer extends VegaSlimmer {
  componentWillLoad() {
    this.hasFooterSlot = !!this.host.querySelector('[slot="footer-slot"]');
  }
  render() {
    return this.renderFooter();
  }
  renderFooter() {
    return ((this.footnote || this.hasFooterSlot) && (h(Fragment, null,
      h(VegaLeftNavSeparator, null),
      h("div", { class: "footer-container" }, this.hasFooterSlot ? (h("slot", { name: "footer-slot" })) : (h("div", { class: "footer-footnote" }, this.footnote))))));
  }
}
__decorate([
  MapToComponentField()
], VegaLeftNavFooterRenderer.prototype, "host", void 0);
__decorate([
  MapToComponentField()
], VegaLeftNavFooterRenderer.prototype, "footnote", void 0);
__decorate([
  MapToComponentMethod('componentWillLoad')
], VegaLeftNavFooterRenderer.prototype, "componentWillLoad", null);
